scala.reflect

# ClassManifestDeprecatedApis

#### trait ClassManifestDeprecatedApis[T] extends OptManifest[T]

Self Type
  ClassManifest[T]
Annotations
  @deprecated
Deprecated

  (Since version 2.10.0) Use scala.reflect.ClassTag instead

Source
  ClassManifestDeprecatedApis.scala

Linear Supertypes
OptManifest[T], Serializable, java.io.Serializable, AnyRef, Any
Known Subclasses
AnyValManifest, ClassTag, Manifest
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ClassManifestDeprecatedApis
2. OptManifest
3. Serializable
4. Serializable
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ClassManifestDeprecatedApis[T] to any2stringadd[ClassManifestDeprecatedApis[T]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (ClassManifestDeprecatedApis[T], B)

   Implicit information
     This member is added by an implicit conversion from ClassManifestDeprecatedApis[T] to ArrowAssoc[ClassManifestDeprecatedApis[T]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def argString: String

   Attributes
     protected

7. #### def arrayClass[T](tp: Class[_]): Class[Array[T]]

   Attributes
     protected

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def canEqual(other: Any): Boolean

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### def ensuring(cond: (ClassManifestDeprecatedApis[T]) ⇒ Boolean, msg: ⇒ Any): ClassManifestDeprecatedApis[T]

    Implicit information
      This member is added by an implicit conversion from ClassManifestDeprecatedApis[T] to Ensuring[ClassManifestDeprecatedApis[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: (ClassManifestDeprecatedApis[T]) ⇒ Boolean): ClassManifestDeprecatedApis[T]

    Implicit information
      This member is added by an implicit conversion from ClassManifestDeprecatedApis[T] to Ensuring[ClassManifestDeprecatedApis[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean, msg: ⇒ Any): ClassManifestDeprecatedApis[T]

    Implicit information
      This member is added by an implicit conversion from ClassManifestDeprecatedApis[T] to Ensuring[ClassManifestDeprecatedApis[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean): ClassManifestDeprecatedApis[T]

    Implicit information
      This member is added by an implicit conversion from ClassManifestDeprecatedApis[T] to Ensuring[ClassManifestDeprecatedApis[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from ClassManifestDeprecatedApis[T] to StringFormat[ClassManifestDeprecatedApis[T]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### def newArray(len: Int): Array[T]

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toString(): String

    Definition Classes
      AnyRef → Any

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### def →[B](y: B): (ClassManifestDeprecatedApis[T], B)

    Implicit information
      This member is added by an implicit conversion from ClassManifestDeprecatedApis[T] to ArrowAssoc[ClassManifestDeprecatedApis[T]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Deprecated Value Members

1. #### def <:<(that: ClassManifest[_]): Boolean

   Tests whether the type represented by this manifest is a subtype of the type represented by `that` manifest, subject to the limitations described in the header.

   Tests whether the type represented by this manifest is a subtype of the type represented by `that` manifest, subject to the limitations described in the header.

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use scala.reflect.runtime.universe.TypeTag for subtype checking instead

2. #### def >:>(that: ClassManifest[_]): Boolean

   Tests whether the type represented by this manifest is a supertype of the type represented by `that` manifest, subject to the limitations described in the header.

   Tests whether the type represented by this manifest is a supertype of the type represented by `that` manifest, subject to the limitations described in the header.

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use scala.reflect.runtime.universe.TypeTag for subtype checking instead

3. #### def arrayManifest: ClassManifest[Array[T]]

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use wrap instead

4. #### def erasure: Class[_]

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use runtimeClass instead

5. #### def newArray2(len: Int): Array[Array[T]]

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use wrap.newArray instead

6. #### def newArray3(len: Int): Array[Array[Array[T]]]

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use wrap.wrap.newArray instead

7. #### def newArray4(len: Int): Array[Array[Array[Array[T]]]]

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use wrap.wrap.wrap.newArray instead

8. #### def newArray5(len: Int): Array[Array[Array[Array[Array[T]]]]]

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use wrap.wrap.wrap.wrap.newArray instead

9. #### def newArrayBuilder(): ArrayBuilder[T]

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use ArrayBuilder.make(this) instead

10. #### def newWrappedArray(len: Int): WrappedArray[T]

    Annotations
      @deprecated
    Deprecated

      (Since version 2.10.0) Create WrappedArray directly instead

11. #### def typeArguments: List[OptManifest[_]]

    Annotations
      @deprecated
    Deprecated

      (Since version 2.10.0) Use scala.reflect.runtime.universe.TypeTag to capture type structure instead

### Inherited from OptManifest[T]

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ClassManifestDeprecatedApis[T] to any2stringadd[ClassManifestDeprecatedApis[T]]

### Inherited by implicit conversion StringFormat from ClassManifestDeprecatedApis[T] to StringFormat[ClassManifestDeprecatedApis[T]]

### Inherited by implicit conversion Ensuring from ClassManifestDeprecatedApis[T] to Ensuring[ClassManifestDeprecatedApis[T]]

### Inherited by implicit conversion ArrowAssoc from ClassManifestDeprecatedApis[T] to ArrowAssoc[ClassManifestDeprecatedApis[T]]

### Ungrouped